org.apache.solr.handler.dataimport

## Class RegexTransformer

- java.lang.Object
- - org.apache.solr.handler.dataimport.Transformer
  - - org.apache.solr.handler.dataimport.RegexTransformer

-     public class RegexTransformer
      extends Transformer

  A `Transformer` implementation which uses Regular Expressions to extract, split and replace data in fields.

  Refer to http://wiki.apache.org/solr/DataImportHandler for more details.

  This API is experimental and may change in the future.

  Since:
    solr 1.3
  See Also:
    `Pattern`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `GROUP_NAMES`
    `static String` | `REGEX`
    `static String` | `REPLACE_WITH`
    `static String` | `SPLIT_BY`
    `static String` | `SRC_COL_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegexTransformer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,Object>` | `transformRow(Map<String,Object> row, Context ctx)` The input is a row of data and the output has to be a new row.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### REGEX

          public static final String REGEX

      See Also:
        Constant Field Values

    - #### REPLACE_WITH

          public static final String REPLACE_WITH

      See Also:
        Constant Field Values

    - #### SPLIT_BY

          public static final String SPLIT_BY

      See Also:
        Constant Field Values

    - #### SRC_COL_NAME

          public static final String SRC_COL_NAME

      See Also:
        Constant Field Values

    - #### GROUP_NAMES

          public static final String GROUP_NAMES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RegexTransformer

          public RegexTransformer()

  - ### Method Detail

    - #### transformRow

          public Map<String,Object> transformRow(Map<String,Object> row,
                                                 Context ctx)

      Description copied from class: `Transformer`
      The input is a row of data and the output has to be a new row.
      Specified by:
        `transformRow` in class `Transformer`
      Parameters:
        `row` - A row of data
        `ctx` - The current context
      Returns:
        The changed data. It must be a `Map`<`String`, `Object`> if it returns only one row or if there are multiple rows to be returned it must be a `List`<`Map`<`String`, `Object`>>

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.